%define _enable_debug_packages %{nil}
%define debug_package %{nil}
%global _davsvn 3422
%ifarch %{ix86}
%global davarch x86
%endif
%ifarch x86_64
%global davarch x86_64
%endif

Name:               davmail
Version:            6.1.0
Release:            %mkrel 1
Summary:            POP/IMAP/SMTP/Caldav/Carddav/LDAP gateway for Microsoft Exchange
URL:                https://davmail.sourceforge.net/
Group:              Networking/Other
License:            GPLv2+

Source0:            https://sourceforge.net/projects/%{name}/files/%{name}/%{version}/%{name}-src-%{version}-%{_davsvn}.tgz
Source1:            %{name}.desktop
Source2:            https://cdn.azul.com/zulu/bin/zulu15.38.17-ca-fx-jre15.0.6-win_x64.zip#/jrefx.zip

Patch0:             davmail-src-6.0.1-mga-dont-download-jrefx.patch

Requires:           java
Requires:           jpackage-utils
Requires:           swig

BuildRequires:      java-devel
BuildRequires:      ant
BuildRequires:      desktop-file-utils 
BuildRequires:      xml-commons-apis

%description
DavMail is a POP/IMAP/SMTP/Caldav/Carddav/LDAP Exchange gateway allowing 
users to use any mail/calendar client with an Exchange server, even from 
the internet or behind a firewall through Outlook Web Access. DavMail 
now includes an LDAP gateway to Exchange global address book and user 
personal contacts to allow recipient address completion in mail compose 
window and full calendar support with attendees free/busy display.

%prep
%autosetup -p1 -n %{name}-src-%{version}-%{_davsvn}

%build
%__mkdir_p %{_builddir}/%{name}-src-%{version}-%{_davsvn}/dist
%__cp %{S:2} %{_builddir}/%{name}-src-%{version}-%{_davsvn}/dist
sed -i '/class-path/I d' build.xml
ANT_OPTS="-Dfile.encoding=UTF-8" ant prepare-dist

%install
mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install \
--dir %{buildroot}%{_datadir}/applications \
%{SOURCE1}

install -p -Dm644 src/java/tray2.png %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -Dm644 src/java/tray32.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -Dm644 src/java/tray48.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

install -p -Dm755 src/bin/%{name} %{buildroot}%{_bindir}/%{name}

rm -f dist/lib/*win32*.jar
mkdir -p %{buildroot}%{_datadir}/%{name}/lib/
rm -f dist/lib/*x86*.jar
install -p -m664 dist/lib/* %{buildroot}%{_datadir}/%{name}/lib/
install -p -m664 dist/*.jar %{buildroot}%{_datadir}/%{name}/
install -p -Dm644 src/etc/%{name}.properties %{buildroot}%{_sysconfdir}/%{name}/%{name}.properties

sed -i 's/\r//' releaseguide.txt

%files
%doc releaseguide.txt RELEASE-NOTES.md
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_sysconfdir}/%{name}/



%changelog
* Mon Mar 20 2023 kekepower <kekepower> 6.1.0-1.mga8
+ Revision: 1949862
- Update to version 6.1.0 (mga#31708)

* Fri Jun 12 2020 kekepower <kekepower> 5.5.1-1.mga8
+ Revision: 1592980
- Update to version 5.5.1

* Tue Feb 18 2020 umeabot <umeabot> 5.4.0-2.mga8
+ Revision: 1540249
- Mageia 8 Mass Rebuild

* Sun Dec 15 2019 kekepower <kekepower> 5.4.0-1.mga8
+ Revision: 1467547
- Update to version 5.4.0

* Fri Apr 05 2019 kekepower <kekepower> 5.2.0-1.mga7
+ Revision: 1385862
- Update to version 5.2.0

* Thu Jan 24 2019 kekepower <kekepower> 5.1.0-1.mga7
+ Revision: 1360513
- Update to version 5.1.0

* Sun Dec 09 2018 kekepower <kekepower> 5.0.0-1.mga7
+ Revision: 1339103
- Update to version 5.0.0

* Mon Oct 15 2018 kekepower <kekepower> 4.9.0-1.mga7
+ Revision: 1320430
- Update to version 4.9.0

* Sun Sep 23 2018 umeabot <umeabot> 4.8.5-3.mga7
+ Revision: 1297406
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 matteo <matteo> 4.8.5-2.mga7
+ Revision: 1221016
- drop install command no longer required
- updated to version 4.8.5

* Fri Apr 06 2018 kekepower <kekepower> 4.8.4-1.mga7
+ Revision: 1215597
- Update to version 4.8.4

* Mon Mar 12 2018 kekepower <kekepower> 4.8.3-1.mga7
+ Revision: 1208417
- Update to version 4.8.3
- Update to version 4.8.2
- Install davmail.properties to /etc/davmail/
- Added BR for swig
+ matteo <matteo>
- drop post, postun and postrrans
- new version 4.7.3
- compliant to policy for official groups and minor review
- Import Fedora package

